package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 购物车 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvTradeOrderDao;
import com.heyu.api.data.entity.vv.VvTradeOrderEntity;
import com.heyu.api.data.service.vv.VvTradeOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvTradeOrderServiceImpl extends ServiceImpl<VvTradeOrderDao, VvTradeOrderEntity> implements VvTradeOrderService {


    @Autowired
	private VvTradeOrderDao vvTradeOrderDao;



	@Override
	public VvTradeOrderEntity selectVvTradeOrderById(Long id){
		return vvTradeOrderDao.selectVvTradeOrderById(id);
	}



	@Override
	public Long insertVvTradeOrder(VvTradeOrderEntity vvTradeOrder){
		return vvTradeOrderDao.insertVvTradeOrder(vvTradeOrder);
	}



	@Override
	public Long insertOrUpdateVvTradeOrder(VvTradeOrderEntity vvTradeOrder){
		return vvTradeOrderDao.insertOrUpdateVvTradeOrder(vvTradeOrder);
	}



	@Override
	public int updateVvTradeOrderById(VvTradeOrderEntity vvTradeOrder){
		return vvTradeOrderDao.updateVvTradeOrderById(vvTradeOrder);
	}



	@Override
	public int updateCoverVvTradeOrderById(VvTradeOrderEntity vvTradeOrder){
		return vvTradeOrderDao.updateCoverVvTradeOrderById(vvTradeOrder);
	}



	@Override
	public int deleteVvTradeOrderById(Long id){
		return vvTradeOrderDao.deleteVvTradeOrderById(id);
	}



}
